[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2009-5016

Date: (C)2010-11-12   (M)2016-03-13
 
CVSS Score: 6.8Access Vector: NETWORK
Exploitability Subscore: 8.6Access Complexity: MEDIUM
Impact Subscore: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL











Integer overflow in the xml_utf8_decode function in ext/xml/xml.c in PHP before 5.2.11 makes it easier for remote attackers to bypass cross-site scripting (XSS) and SQL injection protection mechanisms via a crafted string that uses overlong UTF-8 encoding, a different vulnerability than CVE-2010-3870.

Reference:
SECUNIA-42410
SECUNIA-42812
BID-44889
ADV-2010-3081
ADV-2011-0020
ADV-2011-0021
ADV-2011-0077
FEDORA-2010-18976
FEDORA-2010-19011
RHSA-2010:0919
RHSA-2011:0195
USN-1042-1
http://bugs.php.net/bug.php?id=49687
http://sirdarckcat.blogspot.com/2009/10/couple-of-unicode-issues-on-php-and.html
http://www.blackhat.com/presentations/bh-usa-09/VELANAVA/BHUSA09-VelaNava-FavoriteXSS-SLIDES.pdf

CPE    93
cpe:/a:php:php:5.2.10
cpe:/a:php:php:4.3.0
cpe:/a:php:php:2.0b10
cpe:/a:php:php:4.2
...
CWE    1
CWE-189
OVAL    13
oval:org.secpod.oval:def:201698
oval:org.secpod.oval:def:201847
oval:org.secpod.oval:def:200189
oval:org.secpod.oval:def:500471
...

© 2013 SecPod Technologies